Page MenuHomePhabricator

Special:Students doesn't list accurate "first enrollment" and "last active" dates, includes non-enrolled students
Closed, DeclinedPublic

Description

At present, Special:Students shows almost every student as having today's date for both "first enrollment" and "last active".

What is supposed to define "active" for a student? Edits and/or log actions?

It also includes users who aren't enrolled in any courses. (These appear to be people who enrolled in a course to test the enrollment interface, and then unenrolled.) As the number of students increases, and the first wave of classes ends, this page will need filters for viewing students by term, or all students in active classes, or all students in past classes.


Version: master
Severity: normal

Details

Reference
bz44110

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:24 AM
bzimport set Reference to bz44110.
Ragesoss created this task.Jan 18 2013, 3:19 PM

What is supposed to define "active" for a student? Edits and/or log actions?

"active" is set by either enrollment or edit

It also includes users who aren't enrolled in any courses.

Yeah, right now you can only become a student. Once you are one, there is no way back :)

At present, Special:Students shows almost every student as having today's date

for both "first enrollment" and "last active".

I am guessing most of them enrolled earlier then today and a good chunk did not edit today? In that case there indeed is something going rather wrong. Will need to investigate.

As the number of students increases, and the first wave of classes

ends, this page will need filters for viewing students by term, or all students
in active classes, or all students in past classes.

Please do create separate bugs for separate issues, that makes it a lot easier to track.

Things that can easily be added as filter:

  • Time of first enrollment (thus stuff such as "during last week")
  • First course the user enrolled in
  • Time of last enrollment
  • Last course the user enrolled in
  • Time of last activity in article NS
  • If the student is enrolled in any active courses

And these things can also be sorted on.

I was going to ask you if you knew about Special:Student activity, which might be what you need, though now I found that this is showing a big fatal error on enwiki >_> I'll make a new bug for that

Here's the bug for the student activity error: Bug 43786

Change 109462 had a related patch set uploaded by AndyRussG:
Only add students to Special:Students

https://gerrit.wikimedia.org/r/109462

andrew.green.df wrote:

Note that the patch (https://gerrit.wikimedia.org/r/109462) only addresses the issue of Special:Students showing users with EP roles other than students. The only change is that new non-student participations in courses won't show up on Special:Students.

Change 109462 merged by jenkins-bot:
Only add students to Special:Students

https://gerrit.wikimedia.org/r/109462

Per Andrew above, this bug has one minor element that will be fixed by change 109462, but overall the data in Special:Students is still pretty useless.

Oxta28 added a subscriber: Oxta28.Jan 19 2015, 2:45 PM
Reedy closed this task as Declined.Sep 25 2018, 11:11 PM
Reedy added a subscriber: Reedy.

Extension is being removed and archived.